Subject: bug#400: 23.0.60; C-h v should pick up lispified name in Customize

From: Howard Melman <[email-masked]>
Date: Thu, 21 Oct 2021 23:30:33 -0400

Stefan Kangas <[email-masked]> writes:

> A special command to expand would be useful, I think.
>
> But users might still want an easy way to get the variable into the help
> buffer.  For example, they might be using helpful.el that displays all
> kinds of additional information in that buffer, or they might just
> prefer having a separate buffer to display the documentation.  I'm in
> the latter camp; expanding documentation on the customize screen itself
> makes it harder to get an overview of all available options, so I often
> would rather put the full length docstring in a separate buffer.

FWIW I'd like a command in a customize-group buffer to
expand all docstrings.  When I try out a new package I often
use customize-group to get an overview of things I can tweak
in it, and it's a pain to click More on all the options and
to open them.

bug#15748 "Provide a way to hide/show all values" is for
this, but I'm now thinking that something like outline-cycle
would be great in any customize buffer.  Let S-TAB cycle
through the various states of all options at once.

-- 

Howard